com.aliyun.svideosdk.mixrecorder

## Enum MixAudioAecType

- java.lang.Object
- - java.lang.Enum<MixAudioAecType>
  - - com.aliyun.svideosdk.mixrecorder.MixAudioAecType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MixAudioAecType>

      public enum MixAudioAecType
      extends java.lang.Enum<MixAudioAecType>

  type of mix audio AEC Added in v3.23.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_AEC_SOFT` aec algorithm
    `TYPE_NONE` close

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MixAudioAecType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MixAudioAecType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_NONE

          public static final MixAudioAecType TYPE_NONE

      close

    - #### TYPE_AEC_SOFT

          public static final MixAudioAecType TYPE_AEC_SOFT

      aec algorithm

  - ### Method Detail

    - #### values

          public static MixAudioAecType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MixAudioAecType c : MixAudioAecType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MixAudioAecType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null